- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# rax_cdb_user – create / delete a Rackspace Cloud Database

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- create / delete a database in the Cloud Databases.

## Requirements

The below requirements are needed on the host that executes this module.

- pyrax
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key string |  | Rackspace API key, overrides credentials. aliases: password
auth_endpoint - | Default: "https://identity.api.rackspacecloud.com/v2.0/" | The URI of the authentication service.
cdb_id - |  | The databases server UUID
credentials path |  | File to find the Rackspace credentials in. Ignored if api_key and username are provided. aliases: creds_file
databases - | Default: [] | Name of the databases that the user can access
db_password - |  | Database user password
db_username - |  | Name of the database user
env string |  | Environment as configured in ~/.pyrax.cfg, see https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#pyrax-configuration.
host - | Default: "%" | Specifies the host from which a user is allowed to connect to the database. Possible values are a string containing an IPv4 address or "%" to allow connecting from any host
identity_type - | Default: "rackspace" | Authentication mechanism to use, such as rackspace or keystone.
region string | Default: "DFW" | Region to create an instance in.
state - | Choices: present ← absent | Indicate desired state of the resource
tenant_id - |  | The tenant ID used for authentication.
tenant_name - |  | The tenant name used for authentication.
username string |  | Rackspace username, overrides credentials.
validate_certs boolean | Choices: no yes | Whether or not to require SSL validation of API endpoints. aliases: verify_ssl

## Notes

Note

- The following environment variables can be used, `RAX_USERNAME`, `RAX_API_KEY`, `RAX_CREDS_FILE`, `RAX_CREDENTIALS`, `RAX_REGION`.
- `RAX_CREDENTIALS` and `RAX_CREDS_FILE` points to a credentials file appropriate for pyrax. See https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#authenticating
- `RAX_USERNAME` and `RAX_API_KEY` obviate the use of a credentials file
- `RAX_REGION` defines a Rackspace Public Cloud region (DFW, ORD, LON, ...)
- The following environment variables can be used, `RAX_USERNAME`, `RAX_API_KEY`, `RAX_CREDS_FILE`, `RAX_CREDENTIALS`, `RAX_REGION`.
- `RAX_CREDENTIALS` and `RAX_CREDS_FILE` points to a credentials file appropriate for pyrax. See https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#authenticating
- `RAX_USERNAME` and `RAX_API_KEY` obviate the use of a credentials file
- `RAX_REGION` defines a Rackspace Public Cloud region (DFW, ORD, LON, ...)

## Examples

    - name: Build a user in Cloud Databases
      tasks:
        - name: User build request
          local_action:
            module: rax_cdb_user
            credentials: ~/.raxpub
            region: IAD
            cdb_id: 323e7ce0-9cb0-11e3-a5e2-0800200c9a66
            db_username: user1
            db_password: user1
            databases: ['db1']
            state: present
          register: rax_db_user

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Simon JAILLET (@jails)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.